FIX::BoolField Class Reference

Field that contains a boolean value. More...

`#include <Field.h>`

Inheritance diagram for FIX::BoolField:
[legend]
Collaboration diagram for FIX::BoolField:
[legend]

## Public Member Functions

| BoolField (int field, bool data)
| BoolField (int field)
void | setValue (bool value)
bool | getValue () const throw ( IncorrectDataFormat )
| operator bool () const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int tag, const std::string &string)
virtual | ~FieldBase ()
| FieldBase (const FieldBase &rhs)
FieldBase & | operator= (const FieldBase &rhs)
void | swap (FieldBase &rhs)
void | setTag (int tag)
void | setField (int field)
void | setString (const std::string &string)
int | getTag () const
| Get the fields integer tag. More...
int | getField () const
const std::string & | getString () const
| Get the string representation of the fields value. More...
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH]. More...
size_t | getLength () const
| Get the length of the fields string representation. More...
int | getTotal () const
| Get the total value the fields characters added together. More...
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers. More...

## Detailed Description

Field that contains a boolean value.

Definition at line 440 of file Field.h.

## Constructor & Destructor Documentation

## BoolField() [1/2]

FIX::BoolField::BoolField | ( | int | field,
|  | bool | data
| ) |  |

inline explicit

Definition at line 443 of file Field.h.

: public FieldBase
{

## BoolField() [2/2]

FIX::BoolField::BoolField | ( | int | field | ) |

inline

Definition at line 445 of file Field.h.

:
explicit UtcTimeStampField( int field, const UtcTimeStamp& data, int precision = 0 )

## Member Function Documentation

## getValue()

bool FIX::BoolField::getValue | ( |  | ) | const
throw | ( | IncorrectDataFormat
| ) |  |

inline

Definition at line 450 of file Field.h.

{ setString( UtcTimeStampConvertor::convert( value ) ); }
UtcTimeStamp getValue() const throw ( IncorrectDataFormat )
{ try

References FIX::UtcTimeStampConvertor::convert(), and FIX::FieldBase::setString().

## operator bool()

FIX::BoolField::operator bool | ( |  | ) | const

inline

Definition at line 455 of file Field.h.

{ return UtcTimeStampConvertor::convert( getString() ); }
catch( FieldConvertError& )

References FIX::UtcTimeStampConvertor::convert(), and FIX::FieldBase::getString().

## setValue()

void FIX::BoolField::setValue | ( | bool | value | ) |

inline

Definition at line 448 of file Field.h.

: FieldBase( field, UtcTimeStampConvertor::convert( UtcTimeStamp(), precision ) ) {}

The documentation for this class was generated from the following file:

- Field.h

FIX::BoolField::getValue
bool getValue() const
Definition: Field.h:450
FIX::TYPE::UtcTimeStamp
@ UtcTimeStamp
Definition: FieldTypes.h:940
FIX::UtcTimeStampConvertor::convert
static std::string convert(const UtcTimeStamp &value, int precision=0)
Definition: FieldConvertors.h:451
FIX::FieldBase::setString
void setString(const std::string &string)
Definition: Field.h:170
FIX::FieldBase::FieldBase
FieldBase(int tag, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:114
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:186